Get Batch
Retrieve a specific batch by identifier.
Path Parameters
- Type: string · Batch Idbatch
_id required
Query Parameters
- Type: boolean · Include Transactionsinclude
_transactions If true, embed transactions with the batch
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
Responses
- application/json
- application/json
Request Example for get/v1/batches/{batch_id}
curl 'https://api.uat.koard.com/v1/batches/{batch_id}?include_transactions=false' \
--header 'Accept: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
"account_id": "string",
"batch_metadata": null,
"captured_amount": 0,
"closed_at": null,
"id": "string",
"opened_at": "2026-04-20T15:32:06.309Z",
"processor_batch_id": null,
"processor_config_id": "string",
"processor_name": "string",
"refunded_amount": 0,
"response": null,
"status": "open",
"terminal_id": "string",
"transaction_count": 0,
"transactions": [
{
"account_id": "string",
"additional_details": {},
"apple_transaction_id": "string",
"batch_id": null,
"card": "string",
"card_brand": "string",
"card_type": "string",
"created_at": 1,
"currency": "string",
"device_id": null,
"event_id": "string",
"gateway": null,
"gateway_transaction_id": null,
"gateway_transaction_response": null,
"history": [],
"location_id": null,
"merchant_name": "",
"mid": "string",
"owner_id": null,
"parent_account_ids": [
"string"
],
"payment_method": "string",
"processor": null,
"processor_mid": "string",
"processor_response_code": null,
"processor_response_message": null,
"processor_tid": "string",
"reader_identifier": "string",
"refunded": null,
"reversed": null,
"status": null,
"status_reason": null,
"subtotal": 1,
"surcharge_amount": null,
"surcharge_applied": false,
"surcharge_rate": null,
"tax_amount": null,
"tax_rate": null,
"tid": "string",
"tip_amount": null,
"tip_type": null,
"total_amount": 1,
"transaction_id": "string",
"transaction_type": null
}
]
}
